EDIT - bug #8176

WeaklyRelatedEntityCombobox is slow
03/12/2019 02:15 PM - Andreas Kohlbecker

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Kohlbecker % Done: 100%
Category: cdm-vaadin Estimated time: 0:00 hour
Target version: Release 5.6

Severity: normal Found in Version:

Description

on setting values

The WeaklyRelatedEntityCombobox needs to check if the value to set is at all contained in the list of available values.
This check is currently implemented by making use of the lazySelect.getOptions().contains() method:

// WeaklyRelatedEntityCombobox.setValue ()

if(lazySelect.getOptions () .contains (newFieldvalue)) {

lazySelect.setValue (newFieldValue) ;

This however causes the LazyList to page through all elements until the supplied object is found.

during re-paint calls
This problem is harder to fix.

In the ReloadableLazyComboBox.reload() it is necessary to set the combobox to scrollToSelectedltem=true otherwise the combobox
will not have the matching set of options items and this will fail to set the select attribute to the value which set to the component.

Associated revisions

Revision af0633ea - 03/12/2019 05:57 PM - Andreas Kohlbecker

ref #8176 WeaklyRelatedEntityCombobox solving minor performance on setValue

Revision eb8d2f54 - 03/13/2019 09:02 AM - Andreas Kohlbecker
ref #8176 bugfix in TaxonNameStringFilterablePagingProvider.idFor()

Revision aec76ebb - 03/13/2019 09:31 AM - Andreas Kohlbecker

ref #8176 removing workaround with bad performance which was need for broken TaxonNameStringFilterablePagingProvider.idFor()

Revision 572b86b7 - 04/11/2019 04:39 PM - Andreas Kohlbecker
ref #8176 fixing edit button functionality in WeaklyRelatedEntityCombobox

Revision 521f90aa - 04/11/2019 05:17 PM - Andreas Kohlbecker
ref #8176 fixing refreshing of specificEpithet after editing the name via the WeaklyRelatedEntityCombobox edit button

History

#1 - 03/12/2019 05:46 PM - Andreas Kohlbecker
- Subject changed from WeaklyRelatedEntityCombobox is sloooooooow on setting value to WeaklyRelatedEntityCombobox is slow

- Description updated

#2 - 03/12/2019 05:57 PM - Andreas Kohlbecker
- Description updated
- Status changed from New to In Progress

#3 - 03/13/2019 09:36 AM - Andreas Kohlbecker
- Status changed from In Progress to Resolved

- % Done changed from 0 to 50

test TaxonNamePopupEditor Genus field, replaced Synonym and Basionym also some ToManyRelatedEntitiesComboboxes and
ToOneRelatedComboboxes

#4 - 04/11/2019 05:21 PM - Andreas Kohlbecker
- Status changed from Resolved to Closed

- % Done changed from 50 to 100

The WeaklyRelatedEntityCombobox is no longer causing performance problems and edit as well create buttons are working as well as the updating
of the WeaklyRelatedEntityCombobox in the TaxonNamePopupEditor
